Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158361 - Power cycling a printer disables the print queue
Summary: Power cycling a printer disables the print queue
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-20 21:05 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-24 11:41:19 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2005-05-20 21:05:42 UTC
Description of problem:
Recently I have been seeing problems where when a user power cycles to printer
to clear its buffer the print queue on the server will get disabled.  This seems
to be new behavior.  Is there a way to disable this?

It is also possible that this error is occurring (the connection reset by peer
message below) at other times other than with power cycling.

Version-Release number of selected component (if applicable):
cups-1.1.22-0.rc1.8.5

How reproducible:
Occurs sporadically and unpredictably

Actual Results:
Print queue is disabled.

Expected Results:
print queue tries again without being disabled.

Additional info:

Some error log output from around the time of the error.  Note the connection
being reset.  LogLevel is Debug.

D [20/May/2005:13:48:46 -0600] [Job 2350] pw = 540.0, pl = 720.0
D [20/May/2005:13:48:46 -0600] [Job 2350] PageLeft = 36.0, PageRight = 576.0
D [20/May/2005:13:48:46 -0600] [Job 2350] PageTop = 756.0, PageBottom = 36.0
D [20/May/2005:13:48:46 -0600] [Job 2350] PageWidth = 612.0, PageLength = 792.0
D [20/May/2005:13:48:46 -0600] [Job 2350] 0 %%PageBoundingBox: 18 18 577 824
D [20/May/2005:13:48:46 -0600] [Job 2350] 0 %%BeginPageSetup
D [20/May/2005:13:48:46 -0600] [Job 2350] 0 %%EndPageSetup
D [20/May/2005:13:48:46 -0600] [Job 2350]
D [20/May/2005:13:48:46 -0600] [Job 2350] -----------
D [20/May/2005:13:48:46 -0600] [Job 2350] New page:  17 17
D [20/May/2005:13:48:46 -0600] [Job 2350] Inserting option code into "PageSetup"
section.
D [20/May/2005:13:48:46 -0600] [Job 2350] Found:
D [20/May/2005:13:48:46 -0600] [Job 2350] %%Page: 17 17
D [20/May/2005:13:48:46 -0600] [Job 2350] --> Output goes to the FIFO buffer now.
D [20/May/2005:13:48:46 -0600] [Job 2350]
D [20/May/2005:13:48:46 -0600] [Job 2350]
D [20/May/2005:13:48:46 -0600] [Job 2350] Found: %%BeginPageSetup
D [20/May/2005:13:48:46 -0600] [Job 2350] Found: %%EndPageSetup
D [20/May/2005:13:48:46 -0600] [Job 2350] End of page header
D [20/May/2005:13:48:46 -0600] [Job 2350] Stopping search for page header options
D [20/May/2005:13:48:46 -0600] [Job 2350] Found:
D [20/May/2005:13:48:46 -0600] [Job 2350]
+E+;S)=_O9e?$+eKa*/6XM*Q>(Z!+*A%"QE0,t6J#CODABK)DC,2\-pj.c=Hr\<`'a5s5ep]J4ds+3Gm
D [20/May/2005:13:48:46 -0600] [Job 2350] --> Output goes directly to the
renderer now.
D [20/May/2005:13:48:46 -0600] [Job 2350]

....

E [20/May/2005:13:49:52 -0600] [Job 2350] Unable to send print file to printer:
Connection reset by peer
E [20/May/2005:13:49:52 -0600] PID 12070 stopped with status 1!
D [20/May/2005:13:49:52 -0600] [Job 2350] 0
%%`jSLf\#LGLP^+6FPXNpBuu'kB+;kY4mk!lM#\?hlle`%LWMp_Vq`oN(tl>N5jn_q$`9V-^;d8ZMB:Y
D [20/May/2005:13:49:52 -0600] [Job 2350] 0
%%HquOFBNh%p)^>rrmedi38SJ-0l"e6fB]>PTB?'J%hZiBA@A&*Jm!(0.@T<j!BAuhf79>c<1p)9B+9C
D [20/May/2005:13:49:52 -0600] [Job 2350] 0 %%PageTrailer
D [20/May/2005:13:49:52 -0600] [Job 2350] 0 %%Trailer
D [20/May/2005:13:49:52 -0600] [Job 2350] Saw Trailer!
D [20/May/2005:13:49:52 -0600] [Job 2350] pw = 540.0, pl = 720.0
D [20/May/2005:13:49:52 -0600] [Job 2350] PageLeft = 36.0, PageRight = 576.0
D [20/May/2005:13:49:52 -0600] [Job 2350] PageTop = 756.0, PageBottom = 36.0
D [20/May/2005:13:49:52 -0600] [Job 2350] PageWidth = 612.0, PageLength = 792.0
D [20/May/2005:13:49:52 -0600] [Job 2350] Saw EOF!
D [20/May/2005:13:49:52 -0600] [Job 2350]
D [20/May/2005:13:49:52 -0600] [Job 2350] -----------
D [20/May/2005:13:49:52 -0600] [Job 2350] New page:  18 18
D [20/May/2005:13:49:52 -0600] [Job 2350] Inserting option code into "PageSetup"
section.
D [20/May/2005:13:49:52 -0600] [Job 2350] Found:
D [20/May/2005:13:49:52 -0600] [Job 2350] %%Page: 18 18
D [20/May/2005:13:49:52 -0600] [Job 2350] --> Output goes to the FIFO buffer now.
D [20/May/2005:13:49:52 -0600] [Job 2350]
D [20/May/2005:13:49:52 -0600] [Job 2350] No page header or page header not
DSC-conforming
D [20/May/2005:13:49:52 -0600] [Job 2350] Flushing FIFO.
D [20/May/2005:13:49:52 -0600] [Job 2350]
D [20/May/2005:13:49:52 -0600] [Job 2350] Closing renderer
D [20/May/2005:13:49:52 -0600] [Job 2350] Process dying with "error closing
*main::STDOUT", exit stat: 9
D [20/May/2005:13:49:52 -0600] [Job 2350] error: Broken pipe (32)
D [20/May/2005:13:49:52 -0600] [Job 2350] error closing *main::STDOUT
D [20/May/2005:13:49:52 -0600] [Job 2350] KID3 finished
D [20/May/2005:13:49:52 -0600] [Job 2350] KID4 exited with status 9
D [20/May/2005:13:49:52 -0600] [Job 2350] Renderer exit stat: 9
D [20/May/2005:13:49:52 -0600] [Job 2350] Renderer process finished
D [20/May/2005:13:49:52 -0600] [Job 2350] Killing process 12071 (KID3)
D [20/May/2005:13:49:52 -0600] [Job 2350] Process dying with "Error closing
renderer", exit stat: 9
D [20/May/2005:13:49:52 -0600] [Job 2350] error: Illegal seek (29)
D [20/May/2005:13:49:52 -0600] [Job 2350] Error closing renderer
E [20/May/2005:13:49:52 -0600] PID 12069 stopped with status 9!
D [20/May/2005:13:49:52 -0600] UpdateJob: job 2350, file 0 is complete.
D [20/May/2005:13:49:52 -0600] StopJob: id = 2350, force = 0
I [20/May/2005:13:49:52 -0600] Saving printers.conf...
D [20/May/2005:13:49:52 -0600] StopJob: printer state is 5

Comment 1 Tim Waugh 2005-05-24 11:41:19 UTC
As far as I am aware it is not new behaviour to disable a queue when the backend
(i.e. the transport mechanism) has failed.  I also don't believe it is new
behaviour that the lpd backend fails when the connection is closed during
transmission.

I think the best advice I can give is to avoid switching off the printer while a
job is being printed!


Note You need to log in before you can comment on or make changes to this bug.